POST /apiviolationcorrection

POST /apiviolationcorrection

/apiviolationcorrection

Request
URI
POST
https://{api_host}/api/apiviolationcorrection
COPY
Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.


Request Body

ApiViolationCorrectionInteractiveRequest

ApiViolationCorrectionInteractiveRequest of type(s) application/json
Required  

Show optional properties

{
    "method": "string",
    "virtualservice_ref": "string"
}
{
    "endpoint_path": "string",
    "method": "string",
    "path_ref": "string",
    "virtualservice_ref": "string"
}
string
endpoint_path
Optional

Endpoint path as shown in WAAP inventory output (e.g. /api/v1/items/{id}). Mutually exclusive with path_uuid/path_ref. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
method
Required  

HTTP method identifying the single ApiEndpoint to update under this ApiPath. Enum options - HTTP_METHOD_GET, HTTP_METHOD_HEAD, HTTP_METHOD_PUT, HTTP_METHOD_DELETE, HTTP_METHOD_POST, HTTP_METHOD_OPTIONS, HTTP_METHOD_TRACE, HTTP_METHOD_CONNECT, HTTP_METHOD_PATCH, HTTP_METHOD_PROPFIND, HTTP_METHOD_PROPPATCH, HTTP_METHOD_MKCOL, HTTP_METHOD_COPY, HTTP_METHOD_MOVE, HTTP_METHOD_LOCK, HTTP_METHOD_UNLOCK. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
path_ref
Optional

Reference to the ApiPath whose endpoint will be corrected. Mutually exclusive with endpoint_path. It is a reference to an object of type ApiPath. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
virtualservice_ref
Required  

Reference to the VirtualService to correct. It is a reference to an object of type VirtualService. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns string of type(s) application/json
Operation doesn't return any data structure

401

log in failed

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"method":"string","virtualservice_ref":"string"}' https://{api_host}/api/apiviolationcorrection